Subject: Re: bug#23709: 24.5; inhibit-eol-conversion breaks archive-7z-summarize

From: Glenn Morris <[email-masked]>
Date: Tue, 04 Apr 2017 16:10:39 -0400

> M-x set-variable inhibit-eol-conversion t
>
> Then try to open a 7z file. The expected summary does not appear. In the
> *Messages* buffer (quoted below) you can see that the re-search-forward
> call in archive-7z-summarize is confused by the ^M in the output of the
> 7za command. Perhaps adding inhibit-eol-conversion nil to that function's
> let block would be in order?

Thanks for the report. I wonder if inhibit-eol-conversion should not
apply to processes, or should only apply to buffers visiting files, or
if there should be a process-specific version of i-e-c? Because as it
stands I think several places will break if ^M appears in process output
(eg vc-bzr). Binding inhibit-eol-conversion to nil around every single
process call doesn't sound sensible. But then term.el does the opposite,
binding it to t. Hmm. So maybe a process-specific version of
inhibit-eol-conversion, defaulting to nil?